All Classes Namespaces Functions Pages
hal::GappedBottomSegmentIterator Class Referenceabstract

`#include <halGappedBottomSegmentIterator.h>`

Inheritance diagram for hal::GappedBottomSegmentIterator:

## Public Member Functions

virtual GappedBottomSegmentIteratorPtr | copy ()=0
virtual GappedBottomSegmentIteratorConstPtr | copy () const =0
virtual void | copy (GappedBottomSegmentIteratorConstPtr ts) const =0
virtual void | toParent (GappedTopSegmentIteratorConstPtr ts) const =0
virtual bool | equals (GappedBottomSegmentIteratorConstPtr other) const =0
virtual bool | adjacentTo (GappedBottomSegmentIteratorConstPtr other) const =0
virtual bool | hasChild () const =0
virtual bool | getChildReversed () const =0
virtual BottomSegmentIteratorConstPtr | getLeft () const =0
virtual BottomSegmentIteratorConstPtr | getRight () const =0
virtual void | setLeft (BottomSegmentIteratorConstPtr bs) const =0
Public Member Functions inherited from hal::GappedSegmentIterator
virtual hal_size_t | getGapThreshold () const =0
virtual bool | getAtomic () const =0
virtual hal_size_t | getChildIndex () const =0
virtual hal_size_t | getNumSegments () const =0
virtual hal_size_t | getNumGaps () const =0
virtual hal_size_t | getNumGapBases () const =0
virtual hal_index_t | getLeftArrayIndex () const =0
virtual hal_index_t | getRightArrayIndex () const =0
Public Member Functions inherited from hal::SegmentIterator
virtual void | toLeft (hal_index_t leftCutoff=NULL_INDEX) const =0
virtual void | toRight (hal_index_t rightCutoff=NULL_INDEX) const =0
virtual void | toSite (hal_index_t position, bool slice=true) const =0
Public Member Functions inherited from hal::SlicedSegment
virtual void | toReverse () const =0
virtual void | toReverseInPlace () const =0
virtual hal_offset_t | getStartOffset () const =0
virtual hal_offset_t | getEndOffset () const =0
virtual void | slice (hal_offset_t startOffset=0, hal_offset_t endOffset=0) const =0
virtual bool | getReversed () const =0
Public Member Functions inherited from hal::Segment
virtual void | setArrayIndex (Genome *genome, hal_index_t arrayIndex)=0
virtual void | setArrayIndex (const Genome *genome, hal_index_t arrayIndex) const =0
virtual const Genome * | getGenome () const =0
virtual Genome * | getGenome ()=0
virtual const Sequence * | getSequence () const =0
virtual Sequence * | getSequence ()=0
virtual hal_index_t | getStartPosition () const =0
virtual hal_index_t | getEndPosition () const =0
virtual hal_size_t | getLength () const =0
virtual void | getString (std::string &outString) const =0
virtual void | setCoordinates (hal_index_t startPos, hal_size_t length)=0
virtual hal_index_t | getArrayIndex () const =0
virtual bool | leftOf (hal_index_t genomePos) const =0
virtual bool | rightOf (hal_index_t genomePos) const =0
virtual bool | overlaps (hal_index_t genomePos) const =0
virtual bool | isFirst () const =0
virtual bool | isLast () const =0
virtual bool | isMissingData (double nThreshold) const =0
virtual bool | isTop () const =0
virtual hal_size_t | getMappedSegments (std::set< MappedSegmentConstPtr > &outSegments, const Genome *tgtGenome, const std::set< const Genome * > *genomesOnPath=NULL, bool doDupes=true, hal_size_t minLength=0) const =0
virtual void | print (std::ostream &os) const =0

## Friends

class | counted_ptr< GappedBottomSegmentIterator >
class | counted_ptr< const GappedBottomSegmentIterator >

## Detailed Description

Interface for Gepped Bottom Segment iterator. Only used internally and probably shouldn't be in public interface.

## Member Function Documentation

virtual bool hal::GappedBottomSegmentIterator::adjacentTo | ( | GappedBottomSegmentIteratorConstPtr | other | ) | const

pure virtual

Test if iterator abuts other iterator

virtual GappedBottomSegmentIteratorPtr hal::GappedBottomSegmentIterator::copy | ( |  | ) |

pure virtual

Return a copy of the iterator

virtual GappedBottomSegmentIteratorConstPtr hal::GappedBottomSegmentIterator::copy | ( |  | ) | const

pure virtual

Return a copy of the iterator

virtual void hal::GappedBottomSegmentIterator::copy | ( | GappedBottomSegmentIteratorConstPtr | ts | ) | const

pure virtual

Copy another iterator into the current iterator (more efficient than above methods since no new iterators are created

virtual bool hal::GappedBottomSegmentIterator::equals | ( | GappedBottomSegmentIteratorConstPtr | other | ) | const

pure virtual

Test equality with other iterator

Parameters

  other |

virtual bool hal::GappedBottomSegmentIterator::getChildReversed | ( |  | ) | const

pure virtual

Test if in reverse orientationt with respect to child

virtual BottomSegmentIteratorConstPtr hal::GappedBottomSegmentIterator::getLeft | ( |  | ) | const

pure virtual

Return the rightmost segment of the iterator (note that moving the returned iterator will corrupt the current gapped iterator. this is a bug)

virtual BottomSegmentIteratorConstPtr hal::GappedBottomSegmentIterator::getRight | ( |  | ) | const

pure virtual

Reset the gapped iterator.

Parameters

  ts | This will be the left segment of the current iterator. The right segment will be extended as far as possible

virtual bool hal::GappedBottomSegmentIterator::hasChild | ( |  | ) | const

pure virtual

Test if iterator has a child

virtual void hal::GappedBottomSegmentIterator::setLeft | ( | BottomSegmentIteratorConstPtr | bs | ) | const

pure virtual

Reset the gapped iterator.

Parameters

  ts | This will be the left segment of the current iterator. The right segment will be extended as far as possible

virtual void hal::GappedBottomSegmentIterator::toParent | ( | GappedTopSegmentIteratorConstPtr | ts | ) | const

pure virtual

Move to parent

The documentation for this class was generated from the following file:

- inc/halGappedBottomSegmentIterator.h